> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecobalt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Cobalt API

<Note>
  You need a client\_id and client\_secret to interact with the Cobalt API. You will also need an access\_token for each user which can be obtained in through the Cobalt Link flow.
</Note>

<aside>
  ❗ You need a `client_id` and `client_secret` to interact with the Cobalt API. You will also need an `access_token` for each user which can be obtained in through the [Cobalt Link flow](https://www.notion.so/Getting-Started-9d469ab83e1e421abfc770feed375c65?pvs=21).
</aside>

## Authentication Headers

| Parameter      | Type   | Description                         |
| -------------- | ------ | ----------------------------------- |
| client\_id     | string | Your Cobalt API client id           |
| client\_secret | string | Your Cobalt API secret              |
| access\_token  | string | The access token from the Link Flow |

Example request:

```bash theme={null}
curl -X GET https://api.usecobalt.com/v1/appointments \
-H 'Content-Type: application/json' \
-H 'client_id: "%COBALT_CLIENT_ID%"' \
-H 'client_secret: "%COBALT_CLIENT_SECRET%"' \
-H 'access_token: "%USER_ACCESS_TOKEN%"' \
-d '{
			...
}'
```
